using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class BusLine : DataEntityBase
	{
		public BusLine()
		{
			base.InitMetaData();
		}

		private System.Int32 _Id;
		public System.Int32 Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				this._Id = value;
				IsChanged = true;
			}
		}

		private System.String _LineName;
		public System.String LineName
		{
			get
			{
				return this._LineName;
			}
			set
			{
				this._LineName = value;
				IsChanged = true;
			}
		}

		private System.String _WaySites;
		public System.String WaySites
		{
			get
			{
				return this._WaySites;
			}
			set
			{
				this._WaySites = value;
				IsChanged = true;
			}
		}

		private System.String _StartSite;
		public System.String StartSite
		{
			get
			{
				return this._StartSite;
			}
			set
			{
				this._StartSite = value;
				IsChanged = true;
			}
		}

		private System.String _EndSite;
		public System.String EndSite
		{
			get
			{
				return this._EndSite;
			}
			set
			{
				this._EndSite = value;
				IsChanged = true;
			}
		}

		private System.String _SummerTime;
		public System.String SummerTime
		{
			get
			{
				return this._SummerTime;
			}
			set
			{
				this._SummerTime = value;
				IsChanged = true;
			}
		}

		private System.String _WinterTime;
		public System.String WinterTime
		{
			get
			{
				return this._WinterTime;
			}
			set
			{
				this._WinterTime = value;
				IsChanged = true;
			}
		}

		private System.String _MainSites;
		public System.String MainSites
		{
			get
			{
				return this._MainSites;
			}
			set
			{
				this._MainSites = value;
				IsChanged = true;
			}
		}

		private System.String _TimeInterval;
		public System.String TimeInterval
		{
			get
			{
				return this._TimeInterval;
			}
			set
			{
				this._TimeInterval = value;
				IsChanged = true;
			}
		}

		private System.String _Mileage;
		public System.String Mileage
		{
			get
			{
				return this._Mileage;
			}
			set
			{
				this._Mileage = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}